Subject: bug#14943: 24.3.50; Now just making text invisible locks the file for editing

From: Drew Adams <[email-masked]>
Date: Tue, 23 Jul 2013 23:11:51 -0700 (PDT)

Using the same menu to add property read-only does NOT show the buffer
as modified, and thus does NOT manifest an edit conflict with another
session.  That is how the other items on the same menu should be handled
too.

Besides the edit conflict, just trying to kill the buffer or exit Emacs
brings up the same problem: Emacs thinks you have really modified the
buffer in a way such that if you kill it your changes will be lost for
the file.  Of course they will!  These are not changes that are ever
saved in the file.